<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
    <ignored path="javascript-obfuscator.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path=".idea/dataSources.local.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="javascript-obfuscator" />
  </component>
  <component name="FileEditorManager">
    <leaf />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="JavaScript File" />
        <option value="TypeScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>,\n            obfuscated: false</find>
      <find>catch</find>
      <find>this.stringLiteralReplacer</find>
      <find>this.replacersFactory</find>
      <find>fuscationTransformer</find>
      <find>obfuscation</find>
      <find>Map &lt;</find>
      <find>sinon</find>
      <find>skippedBy</find>
      <find>skippedByControlFlow</find>
      <find>c</find>
      <find>literal</find>
      <find>private transformNode</find>
      <find>any</find>
      <find>with</find>
      <find>throw</find>
      <find>-1</find>
      <find>getKeyOf</find>
      <find>console</find>
      <find>substr</find>
      <find>test</find>
      <find>estraverse.Vi</find>
      <find>this.time</find>
      <find>this.timeout(15000);</find>
      <find>of</find>
      <find>RandomGeneratorUtils.getRandomFloat(0, 1)</find>
      <find>getRandomFloat</find>
      <find>Set</find>
      <find>[]</find>
      <find>console.log</find>
    </findStrings>
    <replaceStrings>
      <replace>```ts</replace>
      <replace>IObfuscatorReplacer</replace>
      <replace>push</replace>
      <replace>import * as _ from 'lodash'</replace>
      <replace>RandomGenerator</replace>
      <replace>.parentNode</replace>
      <replace>{3}</replace>
      <replace>transform</replace>
      <replace>transformation</replace>
      <replace>_0x([a-f0-9]</replace>
      <replace>fuscatingTransformer</replace>
      <replace>public transformNode</replace>
      <replace>this.timeout(60000);</replace>
      <replace>RandomGeneratorUtils.getMathRandom()</replace>
    </replaceStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$/src/templates</dir>
      <dir>$PROJECT_DIR$/node_modules/babel-core/lib</dir>
      <dir>$PROJECT_DIR$/node_modules/babel-core</dir>
      <dir>$PROJECT_DIR$/src/custom-nodes</dir>
      <dir>$PROJECT_DIR$/test/functional-tests/node-transformers/node-control-flow-transformers</dir>
      <dir>$PROJECT_DIR$/test/functional-tests/node-transformers/obfuscation-transformers</dir>
      <dir>$PROJECT_DIR$/src/node-transformers/obfuscation-transformers</dir>
      <dir>$PROJECT_DIR$</dir>
      <dir>$PROJECT_DIR$/src/node-transformers/control-flow-transformers</dir>
      <dir>$PROJECT_DIR$/test</dir>
      <dir>$PROJECT_DIR$/src/node-transformers</dir>
      <dir>$PROJECT_DIR$/src</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="dev" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/storages/MapStorage.ts" />
        <option value="$PROJECT_DIR$/test/unit-tests/storages/MapStorage.spec.ts" />
        <option value="$PROJECT_DIR$/test/unit-tests/storages/ArrayStorage.spec.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/control-flow-replacers/binary-expression-control-flow-replacer/BinaryExpressionControlFlowReplacer.spec.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/control-flow-replacers/call-expression-control-flow-replacer/CallExpressionControlFlowReplacer.spec.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/control-flow-replacers/logical-expression-control-flow-replacer/LogicalExpressionControlFlowReplacer.spec.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IPackageConfig.d.ts" />
        <option value="$PROJECT_DIR$/src/container/modules/node-transformers/ObfuscatingTransformersModule.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/obfuscating-transformers/variable-declaration-transformer/VariableDeclarationTransformer.spec.ts" />
        <option value="$PROJECT_DIR$/src/cli/CLIUtils.ts" />
        <option value="$PROJECT_DIR$/test/benchmarks/test.ts" />
        <option value="$PROJECT_DIR$/node_modules/@types/estraverse/index.d.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/node-transformers/INodeTransformer.d.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/LabeledStatementTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/LiteralTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/ObjectExpressionTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/converting-transformers/MemberExpressionTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/converting-transformers/MethodDefinitionTransformer.ts" />
        <option value="$PROJECT_DIR$/src/types/TVisitorFunction.d.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/CatchClauseTransformer.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IVisitor.d.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/javascript-obfuscator/JavaScriptObfuscator.spec.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/FunctionDeclarationTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/converting-transformers/TemplateLiteralTransformer.ts" />
        <option value="$PROJECT_DIR$/src/stack-trace-analyzer/callee-data-extractors/ObjectExpressionCalleeDataExtractor.ts" />
        <option value="$PROJECT_DIR$/src/node/NodeUtils.ts" />
        <option value="$PROJECT_DIR$/test/unit-tests/utils/utils/Utils.spec.ts" />
        <option value="$PROJECT_DIR$/src/node/NodeAppender.ts" />
        <option value="$PROJECT_DIR$/test/benchmarks/test.js" />
        <option value="$PROJECT_DIR$/src/node-transformers/control-flow-transformers/BlockStatementControlFlowTransformer.ts" />
        <option value="$PROJECT_DIR$/src/utils/RandomGeneratorUtils.ts" />
        <option value="$PROJECT_DIR$/src/utils/Utils.ts" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/AbstractControlFlowReplacer.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/arrow-function-expression.js" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/arrow-function-expression-without-body.js" />
        <option value="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/FunctionControlFlowTransformer.spec.ts" />
        <option value="$PROJECT_DIR$/src/JavaScriptObfuscator.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/control-flow-transformers/FunctionControlFlowTransformer.ts" />
        <option value="$PROJECT_DIR$/src/storages/string-array/StringArrayStorage.ts" />
        <option value="$PROJECT_DIR$/src/storages/ArrayStorage.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/replacers/StringLiteralReplacer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/replacers/IdentifierReplacer.ts" />
        <option value="$PROJECT_DIR$/src/Obfuscator.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/VariableDeclarationTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/AbstractNodeTransformer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/FunctionTransformer.ts" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/test/dev/dev.ts" />
        <option value="$PROJECT_DIR$/package.json" />
        <option value="$PROJECT_DIR$/CHANGELOG.md" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER">
    <package-json value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="11" />
    <option name="y" value="23" />
    <option name="width" value="1362" />
    <option name="height" value="965" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
          <State>
            <id>GeneralJavaScript</id>
          </State>
          <State>
            <id>JavaScript</id>
          </State>
          <State>
            <id>TypeScript</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>JSValidateJSDoc</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope">
        <subPane subId="Project Files">
          <PATH>
            <PATH_ELEMENT USER_OBJECT="Root">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="javascript-obfuscator">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT USER_OBJECT="Root">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="javascript-obfuscator">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="test">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT USER_OBJECT="Root">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="javascript-obfuscator">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="test">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
            <PATH_ELEMENT USER_OBJECT="unit-tests">
              <option name="myItemId" value="" />
              <option name="myItemType" value="" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
    <property name="JavaScriptPreferStrict" value="false" />
    <property name="JavaScriptWeakerCompletionTypeGuess" value="true" />
    <property name="js-jscs-nodeInterpreter" value="/usr/local/bin/node" />
    <property name="nodejs_interpreter_path" value="$USER_HOME$/.nvm/versions/node/v6.3.1/bin/node" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/node_modules/typescript/lib" />
    <property name="typescript-compiler-editor-notification" value="false" />
    <property name="nodejs.mocha.mocha_node_package_dir" value="$PROJECT_DIR$/node_modules/mocha" />
    <property name="SearchEverywhereHistoryKey" value="&#9;FILE&#9;file:///Users/sanex/PhpstormProjects/javascript-obfuscator/src/node-transformers/obfuscation-transformers/VariableDeclarationTransformer.ts" />
    <property name="javascript.nodejs.core.library.configured.version" value="6.3.1" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="js.eslint.eslintPackage" value="" />
    <property name="js-tslint-nodeInterpreter" value="$USER_HOME$/.nvm/versions/node/v7.0.0/bin/node" />
    <property name="js-tslint-package" value="$PROJECT_DIR$/node_modules/tslint" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/test/functional-tests/node-transformers/converting-transformers" />
      <recent name="$PROJECT_DIR$/src/transformers/node-transformers" />
      <recent name="$PROJECT_DIR$/test/unit-tests/node/node-appender/fixtures" />
      <recent name="$PROJECT_DIR$/test/functional-tests/stack-trace-analyzer/stack-trace-analyzer" />
      <recent name="$PROJECT_DIR$/test/unit-tests/stack-trace-analyzer/stack-trace-analyzer" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures" />
      <recent name="$PROJECT_DIR$/src/types" />
      <recent name="$PROJECT_DIR$/test/unit-tests/storages" />
      <recent name="$PROJECT_DIR$/test/functional-tests/node-transformers/obfuscating-transformers/variable-declaration-transformer/fixtures" />
      <recent name="$PROJECT_DIR$/test/functional-tests/node-transformers/obfuscating-transformers/function-transformer/fixtures" />
    </key>
  </component>
  <component name="RunManager" selected="Mocha.Mocha">
    <configuration default="true" type="JavaScriptTestRunnerProtractor" factoryName="Protractor">
      <config-file value="" />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="PhpSpecConfigurationType" factoryName="PHPSpec">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
    <configuration default="false" name="Mocha" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>$USER_HOME$/.nvm/versions/node/v7.0.0/bin/node</node-interpreter>
      <node-options />
      <working-directory>$PROJECT_DIR$</working-directory>
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui>bdd</ui>
      <extra-mocha-options>--require ts-node/register</extra-mocha-options>
      <test-kind>PATTERN</test-kind>
      <test-pattern>test/**/*.spec.ts</test-pattern>
      <method />
    </configuration>
    <list size="1">
      <item index="0" class="java.lang.String" itemvalue="Mocha.Mocha" />
    </list>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="StructureViewFactory">
    <option name="AUTOSCROLL_MODE" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
      <created>1465313655437</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1465313655437</updated>
      <workItem from="1469646526384" duration="175000" />
      <workItem from="1469646716454" duration="478000" />
      <workItem from="1469647364034" duration="473000" />
      <workItem from="1469648094142" duration="5839000" />
      <workItem from="1469737781573" duration="15802000" />
      <workItem from="1469892717432" duration="3787000" />
      <workItem from="1470159562149" duration="6256000" />
      <workItem from="1470337469022" duration="16000" />
      <workItem from="1470473424710" duration="1680000" />
      <workItem from="1470563365899" duration="3929000" />
      <workItem from="1470692187708" duration="1680000" />
      <workItem from="1470766600457" duration="21000" />
      <workItem from="1471853954494" duration="4960000" />
      <workItem from="1472042066966" duration="3681000" />
      <workItem from="1472493842828" duration="4394000" />
      <workItem from="1472556351510" duration="424000" />
      <workItem from="1472557148899" duration="5127000" />
      <workItem from="1472562425256" duration="47856000" />
      <workItem from="1473708631416" duration="3964000" />
      <workItem from="1474186884838" duration="31595000" />
      <workItem from="1474523315482" duration="609000" />
      <workItem from="1474834070926" duration="3903000" />
      <workItem from="1475361912105" duration="588000" />
      <workItem from="1475401230173" duration="12962000" />
      <workItem from="1475415101134" duration="80000" />
      <workItem from="1475415208562" duration="196000" />
      <workItem from="1475415428488" duration="34256000" />
      <workItem from="1475525745031" duration="12205000" />
      <workItem from="1475829485499" duration="411000" />
      <workItem from="1475830471633" duration="79000" />
      <workItem from="1476216530356" duration="1591000" />
      <workItem from="1476532295244" duration="1010000" />
      <workItem from="1476534907986" duration="69000" />
      <workItem from="1476535119305" duration="2199000" />
      <workItem from="1476543071363" duration="331000" />
      <workItem from="1476543443936" duration="14550000" />
      <workItem from="1477424669611" duration="9763000" />
      <workItem from="1477763909702" duration="56418000" />
      <workItem from="1477856457596" duration="66787000" />
      <workItem from="1478032879999" duration="43713000" />
      <workItem from="1478458050164" duration="12202000" />
      <workItem from="1478672594046" duration="13914000" />
      <workItem from="1478691486702" duration="20596000" />
      <workItem from="1479323881179" duration="6685000" />
      <workItem from="1479643129083" duration="90757000" />
      <workItem from="1480368813143" duration="8191000" />
      <workItem from="1480527548264" duration="70507000" />
      <workItem from="1481141881998" duration="43517000" />
      <workItem from="1481565432677" duration="75457000" />
      <workItem from="1482059525061" duration="5872000" />
      <workItem from="1482065922793" duration="40255000" />
      <workItem from="1482346830398" duration="10282000" />
      <workItem from="1482363018974" duration="55600000" />
      <workItem from="1483276798740" duration="573000" />
      <workItem from="1483277588941" duration="157000" />
      <workItem from="1483277917607" duration="567000" />
      <workItem from="1483279597603" duration="255000" />
      <workItem from="1483280013544" duration="562000" />
      <workItem from="1483280943676" duration="550000" />
      <workItem from="1483282354309" duration="222000" />
      <workItem from="1483282738907" duration="538000" />
      <workItem from="1483283529445" duration="198000" />
      <workItem from="1483283854095" duration="158000" />
      <workItem from="1483284211375" duration="70419000" />
      <workItem from="1483607708865" duration="105698000" />
      <workItem from="1484334226405" duration="13080000" />
      <workItem from="1484493388850" duration="1624000" />
      <workItem from="1484507748691" duration="11000" />
      <workItem from="1484507779918" duration="477000" />
      <workItem from="1484510213549" duration="35400000" />
      <workItem from="1484654296495" duration="12603000" />
      <workItem from="1484730044979" duration="31309000" />
      <workItem from="1485019065578" duration="43631000" />
      <workItem from="1485614787581" duration="2662000" />
      <workItem from="1485686488030" duration="440000" />
      <workItem from="1485688003531" duration="1100000" />
    </task>
    <task id="LOCAL-00285" summary="getRandomVariableName refactoring + tests">
      <created>1483988898407</created>
      <option name="number" value="00285" />
      <option name="presentableId" value="LOCAL-00285" />
      <option name="project" value="LOCAL" />
      <updated>1483988898407</updated>
    </task>
    <task id="LOCAL-00286" summary="dependencies update">
      <created>1484074116407</created>
      <option name="number" value="00286" />
      <option name="presentableId" value="LOCAL-00286" />
      <option name="project" value="LOCAL" />
      <updated>1484074116408</updated>
    </task>
    <task id="LOCAL-00287" summary="update readme with changes from 0.8.4">
      <created>1484077616290</created>
      <option name="number" value="00287" />
      <option name="presentableId" value="LOCAL-00287" />
      <option name="project" value="LOCAL" />
      <updated>1484077616290</updated>
    </task>
    <task id="LOCAL-00288" summary="fixed https://github.com/javascript-obfuscator/javascript-obfuscator/issues/29">
      <created>1484164165764</created>
      <option name="number" value="00288" />
      <option name="presentableId" value="LOCAL-00288" />
      <option name="project" value="LOCAL" />
      <updated>1484164165765</updated>
    </task>
    <task id="LOCAL-00289" summary="fixed https://github.com/javascript-obfuscator/javascript-obfuscator/issues/29">
      <created>1484164556580</created>
      <option name="number" value="00289" />
      <option name="presentableId" value="LOCAL-00289" />
      <option name="project" value="LOCAL" />
      <updated>1484164556580</updated>
    </task>
    <task id="LOCAL-00290" summary="CatchClause obfuscator ObjectPattern fix&#10;">
      <created>1484167047512</created>
      <option name="number" value="00290" />
      <option name="presentableId" value="LOCAL-00290" />
      <option name="project" value="LOCAL" />
      <updated>1484167047512</updated>
    </task>
    <task id="LOCAL-00291" summary="CatchClause obfuscator ObjectPattern test&#10;Tests refactoring&#10;">
      <created>1484169355605</created>
      <option name="number" value="00291" />
      <option name="presentableId" value="LOCAL-00291" />
      <option name="project" value="LOCAL" />
      <updated>1484169355605</updated>
    </task>
    <task id="LOCAL-00292" summary="CatchClause obfuscator ObjectPattern fix&#10;CatchClause obfuscator ObjectPattern test&#10;Tests refactoring&#10;">
      <created>1484170853859</created>
      <option name="number" value="00292" />
      <option name="presentableId" value="LOCAL-00292" />
      <option name="project" value="LOCAL" />
      <updated>1484170853859</updated>
    </task>
    <task id="LOCAL-00293" summary="0.9.0-dev.10">
      <created>1484171682449</created>
      <option name="number" value="00293" />
      <option name="presentableId" value="LOCAL-00293" />
      <option name="project" value="LOCAL" />
      <updated>1484171682449</updated>
    </task>
    <task id="LOCAL-00294" summary="extract few transformers to new `converting-transformers` subtype">
      <created>1484251085840</created>
      <option name="number" value="00294" />
      <option name="presentableId" value="LOCAL-00294" />
      <option name="project" value="LOCAL" />
      <updated>1484251085840</updated>
    </task>
    <task id="LOCAL-00295" summary="more correct naming: ObfuscationTransformers -&gt; ObfuscatingTransformers">
      <created>1484253100902</created>
      <option name="number" value="00295" />
      <option name="presentableId" value="LOCAL-00295" />
      <option name="project" value="LOCAL" />
      <updated>1484253100902</updated>
    </task>
    <task id="LOCAL-00296" summary="additional tests for array pattern as function parameter">
      <created>1484332658565</created>
      <option name="number" value="00296" />
      <option name="presentableId" value="LOCAL-00296" />
      <option name="project" value="LOCAL" />
      <updated>1484332658565</updated>
    </task>
    <task id="LOCAL-00297" summary="correct transformation of array pattern in variable declarator">
      <created>1484334149140</created>
      <option name="number" value="00297" />
      <option name="presentableId" value="LOCAL-00297" />
      <option name="project" value="LOCAL" />
      <updated>1484334149140</updated>
    </task>
    <task id="LOCAL-00298" summary="0.9.0-dev.11">
      <created>1484335791629</created>
      <option name="number" value="00298" />
      <option name="presentableId" value="LOCAL-00298" />
      <option name="project" value="LOCAL" />
      <updated>1484335791631</updated>
    </task>
    <task id="LOCAL-00299" summary="0.9.0-beta.1">
      <created>1484388459721</created>
      <option name="number" value="00299" />
      <option name="presentableId" value="LOCAL-00299" />
      <option name="project" value="LOCAL" />
      <updated>1484388459721</updated>
    </task>
    <task id="LOCAL-00300" summary="0.9.0-beta.1">
      <created>1484389009683</created>
      <option name="number" value="00300" />
      <option name="presentableId" value="LOCAL-00300" />
      <option name="project" value="LOCAL" />
      <updated>1484389009683</updated>
    </task>
    <task id="LOCAL-00301" summary="readme note">
      <created>1484401501170</created>
      <option name="number" value="00301" />
      <option name="presentableId" value="LOCAL-00301" />
      <option name="project" value="LOCAL" />
      <updated>1484401501170</updated>
    </task>
    <task id="LOCAL-00302" summary="copyright year update">
      <created>1484493833620</created>
      <option name="number" value="00302" />
      <option name="presentableId" value="LOCAL-00302" />
      <option name="project" value="LOCAL" />
      <updated>1484493833621</updated>
    </task>
    <task id="LOCAL-00303" summary="update webpack to rc.5">
      <created>1484510510039</created>
      <option name="number" value="00303" />
      <option name="presentableId" value="LOCAL-00303" />
      <option name="project" value="LOCAL" />
      <updated>1484510510041</updated>
    </task>
    <task id="LOCAL-00304" summary="renamed `obfuscated` node property to `obfuscatedNode`">
      <created>1484561647074</created>
      <option name="number" value="00304" />
      <option name="presentableId" value="LOCAL-00304" />
      <option name="project" value="LOCAL" />
      <updated>1484561647074</updated>
    </task>
    <task id="LOCAL-00305" summary="ArrayStorage refactoring">
      <created>1484570658717</created>
      <option name="number" value="00305" />
      <option name="presentableId" value="LOCAL-00305" />
      <option name="project" value="LOCAL" />
      <updated>1484570658717</updated>
    </task>
    <task id="LOCAL-00306" summary="ArrayStorage refactoring">
      <created>1484607819639</created>
      <option name="number" value="00306" />
      <option name="presentableId" value="LOCAL-00306" />
      <option name="project" value="LOCAL" />
      <updated>1484607819640</updated>
    </task>
    <task id="LOCAL-00307" summary="transformers as visitor: first working prototype">
      <created>1484648124667</created>
      <option name="number" value="00307" />
      <option name="presentableId" value="LOCAL-00307" />
      <option name="project" value="LOCAL" />
      <updated>1484648124667</updated>
    </task>
    <task id="LOCAL-00308" summary="transformers as visitor: fixed runtime errors">
      <created>1484650988919</created>
      <option name="number" value="00308" />
      <option name="presentableId" value="LOCAL-00308" />
      <option name="project" value="LOCAL" />
      <updated>1484650988919</updated>
    </task>
    <task id="LOCAL-00309" summary="transformers as visitor: refactoring">
      <created>1484652413518</created>
      <option name="number" value="00309" />
      <option name="presentableId" value="LOCAL-00309" />
      <option name="project" value="LOCAL" />
      <updated>1484652413518</updated>
    </task>
    <task id="LOCAL-00310" summary="transformers as visitor: refactoring">
      <created>1484653949386</created>
      <option name="number" value="00310" />
      <option name="presentableId" value="LOCAL-00310" />
      <option name="project" value="LOCAL" />
      <updated>1484653949387</updated>
    </task>
    <task id="LOCAL-00311" summary="now each transformer can return visitor for estraverse">
      <created>1484654380134</created>
      <option name="number" value="00311" />
      <option name="presentableId" value="LOCAL-00311" />
      <option name="project" value="LOCAL" />
      <updated>1484654380135</updated>
    </task>
    <task id="LOCAL-00312" summary="transformers as visitor: removed `any` type">
      <created>1484659500672</created>
      <option name="number" value="00312" />
      <option name="presentableId" value="LOCAL-00312" />
      <option name="project" value="LOCAL" />
      <updated>1484659500672</updated>
    </task>
    <task id="LOCAL-00313" summary="0.9.0-beta.2">
      <created>1484663201324</created>
      <option name="number" value="00313" />
      <option name="presentableId" value="LOCAL-00313" />
      <option name="project" value="LOCAL" />
      <updated>1484663201324</updated>
    </task>
    <task id="LOCAL-00314" summary="Storages: sliglhtly changed behaviour of `getKeyOf` methods, added tests">
      <created>1484824348366</created>
      <option name="number" value="00314" />
      <option name="presentableId" value="LOCAL-00314" />
      <option name="project" value="LOCAL" />
      <updated>1484824348367</updated>
    </task>
    <task id="LOCAL-00315" summary="fixed README typo">
      <created>1484861903947</created>
      <option name="number" value="00315" />
      <option name="presentableId" value="LOCAL-00315" />
      <option name="project" value="LOCAL" />
      <updated>1484861903947</updated>
    </task>
    <task id="LOCAL-00316" summary="dependencies update">
      <created>1484889975066</created>
      <option name="number" value="00316" />
      <option name="presentableId" value="LOCAL-00316" />
      <option name="project" value="LOCAL" />
      <updated>1484889975066</updated>
    </task>
    <task id="LOCAL-00317" summary="dependencies update">
      <created>1484890035707</created>
      <option name="number" value="00317" />
      <option name="presentableId" value="LOCAL-00317" />
      <option name="project" value="LOCAL" />
      <updated>1484890035707</updated>
    </task>
    <task id="LOCAL-00318" summary="removed debug logging from tests">
      <created>1484941374193</created>
      <option name="number" value="00318" />
      <option name="presentableId" value="LOCAL-00318" />
      <option name="project" value="LOCAL" />
      <updated>1484941374193</updated>
    </task>
    <task id="LOCAL-00319" summary="fixed VariableDeclarationTransformer test description">
      <created>1485010052438</created>
      <option name="number" value="00319" />
      <option name="presentableId" value="LOCAL-00319" />
      <option name="project" value="LOCAL" />
      <updated>1485010052438</updated>
    </task>
    <task id="LOCAL-00320" summary="Performance boost">
      <created>1485021826675</created>
      <option name="number" value="00320" />
      <option name="presentableId" value="LOCAL-00320" />
      <option name="project" value="LOCAL" />
      <updated>1485021826676</updated>
    </task>
    <task id="LOCAL-00321" summary="added IVisitor interface">
      <created>1485037773625</created>
      <option name="number" value="00321" />
      <option name="presentableId" value="LOCAL-00321" />
      <option name="project" value="LOCAL" />
      <updated>1485037773625</updated>
    </task>
    <task id="LOCAL-00322" summary="Performance boost: replaced for..of loops on forEach loops in important to performance places">
      <created>1485039342524</created>
      <option name="number" value="00322" />
      <option name="presentableId" value="LOCAL-00322" />
      <option name="project" value="LOCAL" />
      <updated>1485039342524</updated>
    </task>
    <task id="LOCAL-00323" summary="dependencies update">
      <created>1485040686851</created>
      <option name="number" value="00323" />
      <option name="presentableId" value="LOCAL-00323" />
      <option name="project" value="LOCAL" />
      <updated>1485040686851</updated>
    </task>
    <task id="LOCAL-00324" summary="Various performance optimisations">
      <created>1485085905076</created>
      <option name="number" value="00324" />
      <option name="presentableId" value="LOCAL-00324" />
      <option name="project" value="LOCAL" />
      <updated>1485085905076</updated>
    </task>
    <task id="LOCAL-00325" summary="Various performance optimisations: fixed tslint">
      <created>1485086059728</created>
      <option name="number" value="00325" />
      <option name="presentableId" value="LOCAL-00325" />
      <option name="project" value="LOCAL" />
      <updated>1485086059728</updated>
    </task>
    <task id="LOCAL-00326" summary="update .gitignore with `benchmark` folder">
      <created>1485096009857</created>
      <option name="number" value="00326" />
      <option name="presentableId" value="LOCAL-00326" />
      <option name="project" value="LOCAL" />
      <updated>1485096009858</updated>
    </task>
    <task id="LOCAL-00327" summary="0.9.0-beta.4">
      <created>1485096201618</created>
      <option name="number" value="00327" />
      <option name="presentableId" value="LOCAL-00327" />
      <option name="project" value="LOCAL" />
      <updated>1485096201618</updated>
    </task>
    <task id="LOCAL-00328" summary="Increased control flow transformation speed.">
      <created>1485111510389</created>
      <option name="number" value="00328" />
      <option name="presentableId" value="LOCAL-00328" />
      <option name="project" value="LOCAL" />
      <updated>1485111510389</updated>
    </task>
    <task id="LOCAL-00329" summary="dependencies update">
      <created>1485236523623</created>
      <option name="number" value="00329" />
      <option name="presentableId" value="LOCAL-00329" />
      <option name="project" value="LOCAL" />
      <updated>1485236523623</updated>
    </task>
    <task id="LOCAL-00330" summary="0.9.0-beta.5">
      <created>1485283704209</created>
      <option name="number" value="00330" />
      <option name="presentableId" value="LOCAL-00330" />
      <option name="project" value="LOCAL" />
      <updated>1485283704209</updated>
    </task>
    <task id="LOCAL-00331" summary="0.9.0 preparation: updated README.md, CHANGELOG.md and dependencies">
      <created>1485684442611</created>
      <option name="number" value="00331" />
      <option name="presentableId" value="LOCAL-00331" />
      <option name="project" value="LOCAL" />
      <updated>1485684442612</updated>
    </task>
    <task id="LOCAL-00332" summary="0.9.0 preparation: changelog markdown fix">
      <created>1485684495443</created>
      <option name="number" value="00332" />
      <option name="presentableId" value="LOCAL-00332" />
      <option name="project" value="LOCAL" />
      <updated>1485684495443</updated>
    </task>
    <task id="LOCAL-00333" summary="0.9.0 release">
      <created>1485698960618</created>
      <option name="number" value="00333" />
      <option name="presentableId" value="LOCAL-00333" />
      <option name="project" value="LOCAL" />
      <updated>1485698960619</updated>
    </task>
    <option name="localTasksCounter" value="334" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Mocha - 2017.01.22 at 20h 34m 03s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 20h 35m 49s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 20h 38m 08s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 20h 55m 38s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 21h 14m 05s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 21h 17m 23s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.22 at 21h 18m 44s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.25 at 21h 38m 41s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.25 at 21h 40m 32s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2017.01.25 at 21h 45m 34s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="1179926000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="11" y="23" width="1362" height="965" extended-state="0" />
    <editor active="false" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.36136365" sideWeight="0.5093897" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32911393" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.38616714" sideWeight="0.5095347" order="10" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32187858" sideWeight="0.49235293" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3119756" sideWeight="0.49061033" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24866514" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.3757159" sideWeight="0.49046528" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.23411764" sideWeight="0.47173145" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3722795" sideWeight="0.49507818" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32796317" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.34478807" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32911393" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32296652" sideWeight="0.50235295" order="11" side_tool="true" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32451093" sideWeight="0.49235293" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.23411764" sideWeight="0.47173145" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.3452722" sideWeight="0.49764705" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.35243553" sideWeight="0.4917647" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32905984" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.2732475" sideWeight="0.5282686" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3475259" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24882352" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.23411764" sideWeight="0.47173145" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="processedProjectFiles" value="true" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
    <option name="CHECK_NEW_TODO" value="false" />
    <MESSAGE value="renamed `obfuscated` node property to `obfuscatedNode`" />
    <MESSAGE value="ArrayStorage refactoring" />
    <MESSAGE value="transformers as visitor: first working prototype" />
    <MESSAGE value="transformers as visitor: fixed runtime errors" />
    <MESSAGE value="transformers as visitor: refactoring" />
    <MESSAGE value="now each transformer can return visitor for estraverse" />
    <MESSAGE value="transformers as visitor: removed `any` type" />
    <MESSAGE value="0.9.0-beta.2" />
    <MESSAGE value="Storages: sliglhtly changed behaviour of `getKeyOf` methods, added tests" />
    <MESSAGE value="fixed README typo" />
    <MESSAGE value="removed debug logging from tests" />
    <MESSAGE value="fixed VariableDeclarationTransformer test description" />
    <MESSAGE value="Performance boost" />
    <MESSAGE value="added IVisitor interface" />
    <MESSAGE value="Performance boost: replaced for..of loops on forEach loops in important to performance places" />
    <MESSAGE value="Various performance optimisations" />
    <MESSAGE value="Various performance optimisations: fixed tslint" />
    <MESSAGE value="update .gitignore with `benchmark` folder" />
    <MESSAGE value="0.9.0-beta.4" />
    <MESSAGE value="Increased control flow transformation speed." />
    <MESSAGE value="dependencies update" />
    <MESSAGE value="0.9.0-beta.5" />
    <MESSAGE value="0.9.0 preparation: updated README.md, CHANGELOG.md and dependencies" />
    <MESSAGE value="0.9.0 preparation: changelog markdown fix" />
    <MESSAGE value="0.9.0 release" />
    <option name="LAST_COMMIT_MESSAGE" value="0.9.0 release" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="35" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/yarn.lock">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3859">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node/NodeUtils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="397">
          <caret line="181" column="11" lean-forward="true" selection-start-line="181" selection-start-column="11" selection-end-line="181" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/stack-trace-analyzer/IStackTraceAnalyzer.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="4" lean-forward="false" selection-start-line="9" selection-start-column="4" selection-end-line="9" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/stack-trace-analyzer/StackTraceAnalyzer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1955">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/unit-tests/utils/utils/Utils.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="14" column="46" lean-forward="false" selection-start-line="14" selection-start-column="46" selection-end-line="14" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/types/node/TNodeWithBlockStatement.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="38" lean-forward="false" selection-start-line="2" selection-start-column="38" selection-end-line="2" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node/NodeAppender.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1281">
          <caret line="145" column="35" lean-forward="true" selection-start-line="145" selection-start-column="35" selection-end-line="145" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/unit-tests/utils/random-generator-utils/RandomGeneratorUtils.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="7" lean-forward="true" selection-start-line="5" selection-start-column="3" selection-end-line="10" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/Utils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="21" column="0" lean-forward="true" selection-start-line="21" selection-start-column="0" selection-end-line="21" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/benchmark/test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="765">
          <caret line="45" column="0" lean-forward="false" selection-start-line="45" selection-start-column="0" selection-end-line="45" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/storages/IStorage.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="23" column="4" lean-forward="false" selection-start-line="23" selection-start-column="4" selection-end-line="23" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/LogicalExpressionControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1190">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="9" lean-forward="true" selection-start-line="6" selection-start-column="9" selection-end-line="6" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/AbstractControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1502">
          <caret line="96" column="0" lean-forward="true" selection-start-line="96" selection-start-column="0" selection-end-line="96" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/BinaryExpressionControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-697">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/CallExpressionControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1371">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/control-flow-replacers/ExpressionWithOperatorControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-816">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/@types/estree/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="172">
          <caret line="89" column="6" lean-forward="false" selection-start-line="89" selection-start-column="2" selection-end-line="89" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node/Node.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="155">
          <caret line="11" column="89" lean-forward="false" selection-start-line="11" selection-start-column="89" selection-end-line="11" selection-end-column="89" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/input-1.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/multiple-items.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="0" lean-forward="true" selection-start-line="0" selection-start-column="0" selection-end-line="4" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/arrow-function-expression-with-body.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="29" lean-forward="false" selection-start-line="2" selection-start-column="29" selection-end-line="2" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/arrow-function-expression-without-body.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1" column="26" lean-forward="true" selection-start-line="1" selection-start-column="4" selection-end-line="1" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/fixtures/input-2.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="5" lean-forward="true" selection-start-line="0" selection-start-column="0" selection-end-line="7" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/control-flow-transformers/function-control-flow-transformer/FunctionControlFlowTransformer.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="259">
          <caret line="81" column="23" lean-forward="false" selection-start-line="81" selection-start-column="23" selection-end-line="81" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/typescriptCompiler/external/lib.es6.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="4838" column="4" lean-forward="false" selection-start-line="4838" selection-start-column="4" selection-end-line="4838" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/string-array/StringArrayStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="34" column="31" lean-forward="false" selection-start-line="34" selection-start-column="31" selection-end-line="34" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/ArrayStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="24" column="2" lean-forward="false" selection-start-line="24" selection-start-column="2" selection-end-line="24" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/node-transformers/IControlFlowReplacer.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/node-transformers/IObfuscationReplacerWithStorage.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/utils/RandomGeneratorUtils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1802">
          <caret line="105" column="46" lean-forward="true" selection-start-line="105" selection-start-column="46" selection-end-line="105" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/replacers/StringLiteralReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="114" column="19" lean-forward="true" selection-start-line="114" selection-start-column="19" selection-end-line="114" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/replacers/IdentifierReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="30" column="57" lean-forward="false" selection-start-line="30" selection-start-column="57" selection-end-line="30" selection-end-column="57" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Obfuscator.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="133" column="77" lean-forward="false" selection-start-line="133" selection-start-column="77" selection-end-line="133" selection-end-column="77" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/CatchClauseTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1020">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/FunctionDeclarationTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7">
          <caret line="108" column="15" lean-forward="false" selection-start-line="108" selection-start-column="15" selection-end-line="108" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/node-transformers/obfuscating-transformers/variable-declaration-transformer/VariableDeclarationTransformer.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="123" column="13" lean-forward="false" selection-start-line="123" selection-start-column="13" selection-end-line="123" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/AbstractNodeTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="21" column="41" lean-forward="false" selection-start-line="21" selection-start-column="41" selection-end-line="21" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/FunctionTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-73">
          <caret line="94" column="0" lean-forward="true" selection-start-line="94" selection-start-column="0" selection-end-line="94" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/obfuscating-transformers/VariableDeclarationTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="93" column="9" lean-forward="true" selection-start-line="93" selection-start-column="9" selection-end-line="93" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="386" column="24" lean-forward="true" selection-start-line="386" selection-start-column="24" selection-end-line="386" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/dev/dev.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="77" column="25" lean-forward="false" selection-start-line="77" selection-start-column="25" selection-end-line="77" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CHANGELOG.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="119">
            <caret line="5" column="204" lean-forward="true" selection-start-line="5" selection-start-column="204" selection-end-line="5" selection-end-column="204" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/JavaScriptObfuscator.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="32" column="0" lean-forward="true" selection-start-line="32" selection-start-column="0" selection-end-line="32" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/cli/CLIUtils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/cli/JavaScriptObfuscatorCLI.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="160" column="13" lean-forward="true" selection-start-line="160" selection-start-column="13" selection-end-line="160" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/BlockStatementControlFlowTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="113">
          <caret line="66" column="32" lean-forward="true" selection-start-line="66" selection-start-column="32" selection-end-line="66" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/control-flow-transformers/FunctionControlFlowTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2475">
          <caret line="60" column="35" lean-forward="false" selection-start-line="60" selection-start-column="35" selection-end-line="60" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="-816">
            <caret line="289" column="5" lean-forward="false" selection-start-line="289" selection-start-column="5" selection-end-line="289" selection-end-column="5" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/webpack.config.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="19" lean-forward="false" selection-start-line="2" selection-start-column="19" selection-end-line="2" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>